import type { _NSArray } from "../Foundation/NSArray.js";
import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSString } from "../Foundation/NSString.js";
import type { _MTRChannelClusterChannelInfoStruct } from "./MTRChannelClusterChannelInfoStruct.js";
import type { _MTRChannelClusterSeriesInfoStruct } from "./MTRChannelClusterSeriesInfoStruct.js";
export declare class _MTRChannelClusterProgramStruct extends _NSObject {
    static alloc(): _MTRChannelClusterProgramStruct;
    static new(): _MTRChannelClusterProgramStruct;
    init(): _MTRChannelClusterProgramStruct;
    identifier(): _NSString;
    setIdentifier$(value: _NSString): void;
    channel(): _MTRChannelClusterChannelInfoStruct;
    setChannel$(value: _MTRChannelClusterChannelInfoStruct): void;
    startTime(): _NSNumber;
    setStartTime$(value: _NSNumber): void;
    endTime(): _NSNumber;
    setEndTime$(value: _NSNumber): void;
    title(): _NSString;
    setTitle$(value: _NSString): void;
    subtitle(): _NSString | null;
    setSubtitle$(value: _NSString | null): void;
    descriptionString(): _NSString | null;
    setDescriptionString$(value: _NSString | null): void;
    audioLanguages(): _NSArray | null;
    setAudioLanguages$(value: _NSArray | null): void;
    ratings(): _NSArray | null;
    setRatings$(value: _NSArray | null): void;
    thumbnailUrl(): _NSString | null;
    setThumbnailUrl$(value: _NSString | null): void;
    posterArtUrl(): _NSString | null;
    setPosterArtUrl$(value: _NSString | null): void;
    dvbiUrl(): _NSString | null;
    setDvbiUrl$(value: _NSString | null): void;
    releaseDate(): _NSString | null;
    setReleaseDate$(value: _NSString | null): void;
    parentalGuidanceText(): _NSString | null;
    setParentalGuidanceText$(value: _NSString | null): void;
    recordingFlag(): _NSNumber | null;
    setRecordingFlag$(value: _NSNumber | null): void;
    seriesInfo(): _MTRChannelClusterSeriesInfoStruct | null;
    setSeriesInfo$(value: _MTRChannelClusterSeriesInfoStruct | null): void;
    categoryList(): _NSArray | null;
    setCategoryList$(value: _NSArray | null): void;
    castList(): _NSArray | null;
    setCastList$(value: _NSArray | null): void;
    externalIDList(): _NSArray | null;
    setExternalIDList$(value: _NSArray | null): void;
}
export interface _MTRChannelClusterProgramStruct extends _NSCopying {
}
